import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixBottomMenuUHFPage extends StatefulWidget {
  const PhoenixBottomMenuUHFPage({Key? key}) : super(key: key);

  @override
  State<PhoenixBottomMenuUHFPage> createState() => _PhoenixBottomMenuUHFPage();
}

class _PhoenixBottomMenuUHFPage extends State<PhoenixBottomMenuUHFPage> {
  PageController? _tabController;

  @override
  void initState() {
    super.initState();
    _tabController = PageController();
  }

  Widget generateIcon(String icon) {
    return SvgPicture.asset(icon, width: 25, height: 25);
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        title: const Text('Phoenix Bottom Navigation UHF Sample App'),
      ),
      bottomNavigationBar: PhoenixBottomMenuUHF(
        navBarItems: [
          NavBarItem(
            name: "Home",
            image: generateIcon('assets/tab/home_default.svg'),
            selectedImage: generateIcon('assets/tab/home_selected.svg'),
          ),
          NavBarItem(
            name: "Feed",
            image: generateIcon('assets/tab/feed_default.svg'),
            selectedImage: generateIcon('assets/tab/feed_selected.svg'),
          ),
          NavBarItem(
            name: "Community",
            image: generateIcon('assets/tab/community_default.svg'),
            selectedImage: generateIcon('assets/tab/community_selected.svg'),
          ),
          NavBarItem(
            name: "Account",
            image: generateIcon('assets/tab/account_default.svg'),
            selectedImage: generateIcon('assets/tab/account_selected.svg'),
          ),
        ],
        selectedTabColor: Colors.red,
        unselectedTabColor: Colors.black54,
        // bottomNavBarType: BottomNavigationBarType.shifting,
        onTabChange: (index) {
          setState(() {});
          _tabController!.jumpToPage(index);
        },
      ),
      body: PageView(
        physics: const NeverScrollableScrollPhysics(),
        children: [
          centerText("Hello World One"),
          centerText("Hello World Two"),
          centerText("Hello World Three"),
          centerText("Hello World Four"),
        ],
        controller: _tabController,
      ),
    );
  }

  centerText(String text) {
    return Center(
      child: Text(
        text,
        textAlign: TextAlign.center,
      ),
    );
  }
}
